%define oname	firebirdsql

Name:		python-firebirdsql
Version:	0.7.2
Release:	%mkrel 2
Summary:	Python bindings for Firebird RDBMS
Group:		Development/Python
License:	BSD
URL:		http://github.com/nakagami/pyfirebirdsql/
Source0:	http://pypi.python.org/packages/source/f/%{oname}/%{oname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildArch:	noarch
BuildRequires:	python-devel 
BuildRequires:	python-setuptools
BuildRequires:	firebird-devel

%description
A set of Firebird RDBMS bindings for Python.
It works on Python 2.5+ and use the Firebird network protocol.

%package -n python3-firebirdsql
Summary:	Python 3 bindings for Firebird RDBMS
Group:		Development/Python
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	firebird-devel

%description -n python3-firebirdsql
Set of Firebird RDBMS bindings for Python.
It works on Python 3+ and use the Firebird network protocol.

%prep
%setup -q -c
mv %{oname}-%{version} python2
cp -r python2 python3

%build
pushd python2
python setup.py build
popd

pushd python3
python3 setup.py build
popd

%install
rm -rf %{buildroot}
#sed -i '/#!\/usr\/bin\/env python/d' %{buildroot}%{python_sitelib}/firebirdsql/*.py
pushd python2
python setup.py install --root=%{buildroot} --compile --optimize=2
sed -i '/#!\/usr\/bin\/env python/d' %{buildroot}%{python_sitelib}/firebirdsql/*.py
popd

pushd python3
python3 setup.py install --root=%{buildroot} --compile --optimize=2
sed -i '/#!\/usr\/bin\/env python/d' %{buildroot}%{python3_sitelib}/firebirdsql/*.py
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/*egg-info
%{python_sitelib}/%{oname}

%files -n python3-firebirdsql
%{python3_sitelib}/*egg-info
%{python3_sitelib}/%{oname}




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.7.2-2.mga3
+ Revision: 378837
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 01 2013 philippem <philippem> 0.7.2-1.mga3
+ Revision: 337356
- Update to new upstream 0.7.2

* Sat Sep 29 2012 fwang <fwang> 0.7.0-2.mga3
+ Revision: 300383
- rebuild for py3.3

* Sat Sep 29 2012 philippem <philippem> 0.7.0-1.mga3
+ Revision: 300245
- new version 0.7.0

* Wed Jan 11 2012 philippem <philippem> 0.6.5-1.mga2
+ Revision: 194984
- Update to 0.6.5.

* Thu Nov 03 2011 philippem <philippem> 0.6.2-1.mga2
+ Revision: 162047
- Update to 0.6.2.

* Thu Oct 27 2011 philippem <philippem> 0.6.0-1.mga2
+ Revision: 158761
- new upstream 0.6.0

* Mon Jun 20 2011 philippem <philippem> 0.4.2-1.mga2
+ Revision: 110515
- new upstream
- disable start transaction after commit or rollback

* Tue Apr 05 2011 philippem <philippem> 0.3.4-1.mga1
+ Revision: 80834
- new upstream

* Sat Apr 02 2011 philippem <philippem> 0.3.3-1.mga1
+ Revision: 79731
- imported package python-firebirdsql

